@use '/src/mainColor' as *;
@use '/src/mediaQuery' as *;

.light-mode {
  header {
    --header-back: linear-gradient(0deg, #{mainColor(95%)}, #{mainColor(90%)});
    --header-box-shadow: 0 0 .5em #{mainColor(80%)};
    --logo-filter: var(--light-img-filter);
    --arrow-filter: brightness(0%);
  }
}
.dark-mode {
  header {
    --header-back: linear-gradient(0deg, #{mainColor(10%)}, #{mainColor(5%)});
    --header-box-shadow: 0 0 .5em #{mainColor(0%)};
    --logo-filter: none;
    --arrow-filter: brightness(0%) invert(1);
  }
}


header {
  position: relative;
  z-index: 10;
  background: var(--header-back);
  min-height: var(--headerHeight);
  box-shadow: var(--header-box-shadow);
  display: grid;
  grid-template-columns: 1fr auto 1fr;

  @include for-desktop-small {
    grid-template-columns: auto 1fr;
    grid-template-rows: 1fr 1fr;

    .nav {
      grid-row: 2;
      grid-column: span 2;
      margin: auto;
    }
  }

  .logo {
    box-sizing: content-box;
    max-width: 95%;
    height: 2.5em !important;
    padding: 0 .5vw;
    
    &.pakar-logo {
      height: 3em !important;
    }
  }

  .home-btn {
    overflow: hidden;
    height: var(--headerHeight);
    display: flex;
    align-items: center;
    transition: margin .2s;
    
    &:hover, &:focus-visible {
      --arrow-transform: translateX(-.125em) scale(1.1);
      --area-title-transform: translateX(-.5em);
      margin-left: .5em;
    }
    
    &:focus-visible {
      outline: none;
      --arrow-outline: auto;
    }

    .back-arrow {
      width: 2.5em;
      margin-left: -.5em;
      outline: var(--arrow-outline);
      transform: var(--arrow-transform);
      filter: var(--arrow-filter);
      transition: transform .2s var(--cubik);
    }
    
    .area-title {
      transform: var(--area-title-transform);
      transition: transform .2s var(--cubik);
      padding-right: 0 !important;

      .color {
        margin: 0 .75em;
      }
    }
  }
  
  .right-section {
    min-width: 0;
    display: flex;
    align-items: center;

    .btn-primary {
      white-space: nowrap;
      font-size: 1em;
    }
  }
  .left-section {
    margin: 0 1em;
    display: flex;
    justify-content: flex-end;
  }
}

